v1.0
post
/ec-site-svc/rest/v1.0/studies/{studyId}/{mode}/labs
Creates a lab and also associates it with the site, if a site ID is provided.
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).Example:
test -
studyId(required): string(uuid)
Study identifier as a 32-character uppercase hexadecimal UUID string.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : LabDto v1.0
Type:
objectTitle:
LabDto v1.0Payload used to create or update a lab.
Show Source
-
associatedSite: string
(uuid)
Title:
Associated SiteIdentifier of the site to associate with the lab. -
id: string
(uuid)
Title:
Lab IDUnique identifier for the lab (UUID, uppercase hexadecimal). -
name(required): string
Title:
Lab NameMinimum Length:0Maximum Length:200Name of the lab.Example:Central Lab -
shortName: string
Title:
Lab Short NameMinimum Length:0Maximum Length:50Short name of the lab.Example:CLAB
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : LabDto v1.0
Type:
objectTitle:
LabDto v1.0Payload used to create or update a lab.
Show Source
-
associatedSite: string
(uuid)
Title:
Associated SiteIdentifier of the site to associate with the lab. -
id: string
(uuid)
Title:
Lab IDUnique identifier for the lab (UUID, uppercase hexadecimal). -
name(required): string
Title:
Lab NameMinimum Length:0Maximum Length:200Name of the lab.Example:Central Lab -
shortName: string
Title:
Lab Short NameMinimum Length:0Maximum Length:50Short name of the lab.Example:CLAB
Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples